Ipod not being detected by Banshee [Solved]

Discussions Regarding Software

Moderator: Moderators

Post Reply
smirnoff76
Baby Hen
Posts: 9
Joined: Wed Jun 03, 2009 19:54

Ipod not being detected by Banshee [Solved]

Post by smirnoff76 » Mon Feb 14, 2011 22:56

I have just installed Banshee v 1.8.0 (and community extensions) and the problem I have is the IPod is not being detected by itunes but is by the rest of the OS, i.e. Nautilus and Rythmbox.

The IPod option in pref's is enabled and I have also installed "ipod-sharp-0.8.5" and "libipoddevice-0.5.3" as both these files look like they are specifically required for Banshee.
I have searched entropy for "Ipod" and "Banshee" and cant find anything else that looks like it is required for Banshee as I suspect I have a missing component.

Can anyone point me in the right direction?

Thanks!
Last edited by smirnoff76 on Tue Feb 15, 2011 20:34, edited 1 time in total.
Scissors cuts paper, paper covers rock, rock crushes lizard, lizard poisons Spock, Spock smashes scissors, scissors decapitates lizard, lizard eats paper, paper disproves Spock, Spock vaporizes rock, and as it always has, rock crushes scissors.

smb96
Simple Hen
Posts: 70
Joined: Mon Nov 23, 2009 11:44

Re: Ipod not being detected by Banshee

Post by smb96 » Tue Feb 15, 2011 12:58

It seems that banshee does not use the ipod USE-flag in Entropy.
Best thing if you can wait a little is to report a request to add that USE-flag at banshee via a bug report. The devs will change that if possible.

If you can not wait for that you have to recompile it by your self. It is not that hard, but some reading about mixing Portage and Entropy in our wiki is required.

smirnoff76
Baby Hen
Posts: 9
Joined: Wed Jun 03, 2009 19:54

Re: Ipod not being detected by Banshee

Post by smirnoff76 » Tue Feb 15, 2011 14:17

Thanks smb96. I can wait as it does work with Rhythmbox, so my next question is how do I contact the dev's behine the entropy system and put this in as a formal request?
Scissors cuts paper, paper covers rock, rock crushes lizard, lizard poisons Spock, Spock smashes scissors, scissors decapitates lizard, lizard eats paper, paper disproves Spock, Spock vaporizes rock, and as it always has, rock crushes scissors.

smb96
Simple Hen
Posts: 70
Joined: Mon Nov 23, 2009 11:44

Re: Ipod not being detected by Banshee

Post by smb96 » Tue Feb 15, 2011 14:25

File a bug here http://bugs.sabayon.org/, state your problem and mention that the missing ipod USE-flag might be the problem.

cheers

smirnoff76
Baby Hen
Posts: 9
Joined: Wed Jun 03, 2009 19:54

Re: Ipod not being detected by Banshee

Post by smirnoff76 » Tue Feb 15, 2011 20:34

Awesome will get this bookmarked and submitted. Thanks again for you help!
Scissors cuts paper, paper covers rock, rock crushes lizard, lizard poisons Spock, Spock smashes scissors, scissors decapitates lizard, lizard eats paper, paper disproves Spock, Spock vaporizes rock, and as it always has, rock crushes scissors.

smb96
Simple Hen
Posts: 70
Joined: Mon Nov 23, 2009 11:44

Re: Ipod not being detected by Banshee [Solved]

Post by smb96 » Tue Feb 15, 2011 22:41

Hi smirnoff76,

in the mean time i had the chance to ask joost_op about your issue. The problem why he couldn't and will not set the ipod flag is dependencies.
If you set "ipod", it will pull in libgpod, no problem so far. But that again has a dep for mono and ref deps for a lot of packages (http://gentoo-portage.com/media-libs/libgpod/Dep#ptabs) . That is the point where the tree is getting spamed with deps and good devs don't do that :).

That leaves option two for you to enable "ipod" by your self. You use a 64bit version of sabayon, right? If you use a 32bit version i would not help, since ipod should be set already.

If you want to try to recompile you need to prepare Portage, and recompile banshee with emerge. That is a little complicated because of the problem above :)

Code: Select all

$ su
# emerge --sync
# equo update
# equo install swig
# USE="mono" emerge -pv =media-libs/libgpod-0.8.0
###### important! If it doesn't want to pull any deps do it without "p", if it wants deps try to install them with entropy first.
# USE="mono" emerge -v =media-libs/libgpod-0.8.0
# USE="ipod" emerge -pv =media-sound/banshee-1.8.0-r1
# USE="ipod" emerge -v =media-sound/banshee-1.8.0-r1
# equo rescue spmsync
There is a good chance that Portage will whine about anything, if it does pastebin the output, than we can try to find the problem.
If all is good and working you may want stop Entropy from overwriting what you did while the next upgrade. To do so put

Code: Select all

media-libs/libgpod
media-sound/banshee
in

Code: Select all

# nano -w /etc/entropy/packages/package.mask

Post Reply